#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <ib.h>
#include "lecroy9300.h"

int dso;	/* Gpib Scope identifier			*/
char buffer[8];

void main(argc,argv)
int argc;
char *argv[];
{
	if(argc!=2)
	{
		fprintf(stderr,"ERROR - Bad number of parameters\n");
		fprintf(stderr,"Usage %s str\n",argv[0]);
		fprintf(stderr,"--------------------------------\n");
		fprintf(stderr,"str : string to write to scope\n");
		exit(1);
	}
	
/* Hardware initialization					*/
        dso=gpib_find("LC9350"); /* Get identifier		*/
        gpib_online(dso);        /* GPIB interface enabled	*/
        gpib_SIC(dso);           /* GPIB reset		        */
        gpib_REN(dso);           /* Remote mode			*/
        
        /*fprintf(stdout,"%s\n",argv[1]);*/
        gpib_write(dso,argv[1]);
        gpib_write(dso,"*STB?");
        gpib_read(dso,buffer,8);
        if(atoi(buffer+5) & 0x4)
        {
        	fprintf(stderr,"WARNING - Command %s\n",argv[1]);
        	fprintf(stderr,"adapted to standard value\n");
        }
        exit(0);
}
